<?php
/*
 * The Core Initialize
 * @package: PerfCMS
 */

/*
 * System constantes
 */ 
define('APP_ROOT', realpath(dirname(__FILE__)));
define('APP_SYS', APP_ROOT .'/system/');
// Start of sessions
session_start();
// Set Encoding
mb_internal_encoding('UTF-8');
/*
 * Intitalize Yii framework and System configuration
 */
$yiiInitFile = APP_SYS .'/yii.php';
$globalSystemConfig = APP_ROOT .'/protected/config/main.php';
// Require Yii framework

// check configs. if not exists go install
if(!file_exists(APP_SYS.'/data/ini/db.php'))
{
	header('location: /install/');
	exit;
}

require_once($yiiInitFile);
// Initialize system
Yii::createWebApplication($globalSystemConfig)->run();