<?php
/*
* Controller class
* @package: PerfCMS
*/
class Controller extends CController
{
	public function getHeader($params = array(), $location_id = '/index::site_somewhere_location')
	{
		User::setLocation($location_id, User::Id());
		$this->renderFile(Yii::app()->theme->basePath.'/views/index/header.ptf', $params);
		$data = User::$data;
		if(User::loged() && $data['ban_time'] > time() && $data['ban_time'] != 0)
		{
			$this->render('block_page');
			$this->getFooter();
			exit;
		}
	}
	
	public function getFooter($params = array())
	{
		$db = PerfDb::init();
		$users = $db->query("SELECT * FROM `users` WHERE `time` > '".(time()-300)."'")->rowCount();
		$guests = $db->query("SELECT * FROM `guests` WHERE `time` > '".(time()-300)."'")->rowCount();
		$this->renderFile(Yii::app()->theme->basePath.'/views/index/footer.ptf', array('users' => $users, 'guests' => $guests));
	}
}
