<?php
/*
* Ini Manager
* @package: PerfCMS
*/
if (!defined('_BR_'))
   define('_BR_',chr(13).chr(10));
   
class Ini {
    public $filename;
    public $arr;
    
    public function __construct($file = false)
    {
        if ($file)
            $this->loadFromFile($file);
    }
    
    public function initArray()
    {
        $this->arr = parse_ini_file($this->filename, true);
        return $this->arr;
    }
    
    public function loadFromFile($file)
    {
        $result = true;
        $this->filename = $file;
        if (file_exists($file) && is_readable($file)){
            $this->initArray();
        }
        else
            $result = false;
        return $result;
    }
    
    public function read($key, $path, $var)
    {
		if(!empty($path))
		{
			$path = APP_ROOT.'/'.str_replace('[var]', $var, $path);
			$this->loadFromFile($path);
		}
		$arr = $this->initArray();
        if (isset($arr[$key]))
        {
            return $arr[$key];
        } else
            return 'Can\'t found key';
    }
    
    public function write($key, $path, $value)
    {
		if(!empty($path))
		{
			$path = APP_ROOT.'/'.$path;
			$this->loadFromFile($path);
		}
		$arr = $this->initArray();
        $arr[$key] = $value;
    }
    
    //public function eraseSection($section)
    //{
        //if (isset($this->arr))
            //unset($this->arr);
    //}
    
    public function deleteKey($key)
    {
        if (isset($this->arr[$key]))
            unset($this->arr[$key]);
    }
    
    //public function readSections(&$array)
    //{
        //$array = array_keys($this->arr);
        //return $array;
    //}
    
    //public function readKeys(&$array)
    //{
        //if (isset($this->arr))
        //{
            //$array = array_keys($this->arr);
            //return $array;
        //}
        //return array();
    //}
    
    //public function updateFile()
    //{
        //$result = '';
        //foreach ($this->arr as $key)
        //{
                //$result .= $key .'='.$value . _BR_;
        //}
		//$result .= _BR_;
		//file_put_contents($this->filename, $result);
		//return true;
    //}
    
    //public function __destruct()
    //{
        //$this->updateFile();
    //}
}
