<?php
class Widget
{
	public function __construct($section = 'index', $name = '')
	{
		if($name == '')
		{
			return $this->$section();
		}
		else
		{
			require(APP_ROOT.'/protected/widgets/'.$name.'/widget.php');
		}
	}
	
	public function index()
	{
		$widgetsDir = APP_ROOT.'/protected/widgets';
		$widgets = scandir($widgetsDir);
		foreach($widgets as $widget)
		{
			if($widget != '.' && $widget != '..' && $widget != '.htaccess')
			{
				$config = require($widgetsDir.'/'.$widget.'/config.php');
				if($config['section'] == 'index' && $config['active'] == 1)
				{
					require_once($widgetsDir.'/'.$widget.'/widget.php');
				}
			}
		}
	}
	
	public function sidebar()
	{
		$widgetsDir = APP_ROOT.'/protected/widgets';
		$widgets = scandir($widgetsDir);
		foreach($widgets as $widget)
		{
			if($widget != '.' && $widget != '..' && $widget != '.htaccess')
			{
				$config = require($widgetsDir.'/'.$widget.'/config.php');
				if($config['section'] == 'sidebar' && $config['active'] == 1)
				{
					require_once($widgetsDir.'/'.$widget.'/widget.php');
				}
			}
		}
	}
	
	public function footer()
	{
		$widgetsDir = APP_ROOT.'/protected/widgets';
		$widgets = scandir($widgetsDir);
		foreach($widgets as $widget)
		{
			if($widget != '.' && $widget != '..' && $widget != '.htaccess')
			{
				$config = require($widgetsDir.'/'.$widget.'/config.php');
				if($config['section'] == 'footer' && $config['active'] == 1)
				{
					require_once($widgetsDir.'/'.$widget.'/widget.php');
				}
			}
		}
	}
	
	public function header()
	{
		$widgetsDir = APP_ROOT.'/protected/widgets';
		$widgets = scandir($widgetsDir);
		foreach($widgets as $widget)
		{
			if($widget != '.' && $widget != '..' && $widget != '.htaccess')
			{
				$config = require($widgetsDir.'/'.$widget.'/config.php');
				if($config['section'] == 'header' && $config['active'] == 1)
				{
					require_once($widgetsDir.'/'.$widget.'/widget.php');
				}
			}
		}
	}
	
	public static function loadConfig($widget = '')
	{
		if($widget != '')
		{
			require_once(APP_ROOT.'/protected/widgets/'.$widget.'/config.php');
		}
	}
}